#!/usr/bin/perl
use Digest;
require '/etc/usudigest.conf';

my $CONFDIR="/etc/usudigest.d";
my $dig = Digest->new($ALGORITHM);
my @files;

foreach my $conf (@LIST) {
	if(open(CONF, "$CONFDIR/$conf")) {
		while(<CONF>) {
			chop;
			next if /^#/;
			push(@files, $_);
		}
		close(CONF);
	} else {
		print STDERR "Warning: $CONFDIR/$conf: cannot open.\n";
	}
}

foreach my $f (@files) {
	if(open(FILE, "$f")) {
		$dig->addfile(*FILE);
		print $dig->hexdigest . "  $f\n";
		close(FILE);
		$dig->reset;
	} else {
		print STDERR "Warning: $f: cannot open.\n";
	}
}
print "-- \n usuDigest version 0.1\n";
